[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Please use ${misc:Depends} in all your packages

On Wed, Nov 16, 2005, Josselin Mouette wrote:
>                                              These packages should use
> dh_gconf, build-depend on debhelper >= 4.2.13 and depend on
> ${misc:Depends}. Packages using cdbs just have to use the gnome.mk
> template to benefit of it.

 Thanks Joss, I hijack this perfect occasion to remind people they
 should use ${misc:Depends} whenever possible (almost always, except
 maybe on meta-packages), even if it causes warnings.  Please see the
 debhelper(7) man page for details on why this is useful.  This is what
 caused the most RC bugs in GNOME packages lately.

 (PS: Please note that even if you use CDBS' gnome.mk, you have to add
      ${misc:Depends} to your deps.)

Loïc Minier <lool@dooz.org>

Reply to: